Subject: Re: [PATCH/RFC] upload-pack: Fail if cloning empty namespace

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Jun 2015 14:01:29 -0700

Johannes Löthberg <[email-masked]> writes:

> +	if (get_git_namespace() && !symref.items) {
> +		die("git upload-pack: tried to clone from empty namespace");
> +	}

Is this sufficient?

get_git_namespace() returns environment.c::namespace, which is set
up in setup_git_env() by calling expand_namespace() and strlen()
is run on that value, so I would presume the function will *ALWAYS*
return true.  Even when not namespaced, you would get an empty
string "" whose address is not NULL, no?